# ini_set

(PHP 4, PHP 5, PHP 7, PHP 8)

ini_set — Modifie la valeur d'une option de configuration

### Description

ini_set(string `$option`, string|int|float|bool|null `$value`): string|false

Change la valeur de l'option de configuration `varname` et lui donne celle de `newvalue`. La valeur de l'option de configuration sera modifiée durant toute l'exécution du script et pour ce script spécifiquement. Elle reprendra sa valeur par défaut dès la fin du script.

### Liste de paramètres

`option`

  Les options disponibles ne peuvent pas toutes être modifiées avec ini_set(). La liste de toutes les options disponibles se trouve dans l'annexe.

`value`

  La nouvelle valeur pour l'option.

### Valeurs de retour

Retourne l'ancienne valeur en cas de succès, `false` si une erreur survient.

### Historique

Version | Description
--- | ---
8.1.0 | `value` accepte désormais tout type de scalaire (y compris `null`). Auparavant, seules les valeurs de type chaîne de caractères étaient acceptées.

### Exemples

Exemple #1 Définit une option de configuration

`<?php
echo ini_get('display_errors');
if (!ini_get('display_errors')) {
ini_set('display_errors', '1');
}
echo ini_get('display_errors');
?>`

### Voir aussi

- get_cfg_var() - Retourne la valeur d'une option de PHP
- ini_get() - Lit la valeur d'une option de configuration
- ini_get_all() - Lit toutes les valeurs de configuration
- ini_restore() - Restaure la valeur de l'option de configuration
- Comment modifier la configuration